<?php

namespace Drupal\layout_bg\Plugin\Layout;

use Drupal\layout_bg\LayoutBgTrait;
use Drupal\layout_builder\Plugin\Layout\TwoColumnLayout;

/**
 * Layout with two columnz and bg.
 */
class LayoutBgTwoCol extends TwoColumnLayout {
  use LayoutBgTrait;

  /**
   * {@inheritdoc}
   */
  public function build(array $regions) {
    $build = parent::build($regions);
    $build = $this->processBackground($build);

    // This next block is the addition so that classes are correct.
    $build['#attributes']['class'] = [
      'layout',
      'layout--twocol-section',
      'layout--twocol-section--' . $this->configuration['column_widths'],
    ];
    return $build;
  }

}
